package mhp.oee.po.gen;

import java.util.Date;

public class ReasonCodePriorityPO {
    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column reason_code_priority.HANDLE
     *
     * @mbggenerated
     */
    private String handle;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column reason_code_priority.REASON_CODE_BO
     *
     * @mbggenerated
     */
    private String reasonCodeBo;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column reason_code_priority.PRIORITY
     *
     * @mbggenerated
     */
    private String priority;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column reason_code_priority.SUB_PRIORITY
     *
     * @mbggenerated
     */
    private String subPriority;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column reason_code_priority.STRT
     *
     * @mbggenerated
     */
    private String strt;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column reason_code_priority.START_DATE_TIME
     *
     * @mbggenerated
     */
    private Date startDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column reason_code_priority.END_DATE_TIME
     *
     * @mbggenerated
     */
    private Date endDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column reason_code_priority.USED
     *
     * @mbggenerated
     */
    private String used;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column reason_code_priority.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    private Date createdDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column reason_code_priority.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    private Date modifiedDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column reason_code_priority.MODIFIED_USER
     *
     * @mbggenerated
     */
    private String modifiedUser;

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column reason_code_priority.HANDLE
     *
     * @return the value of reason_code_priority.HANDLE
     *
     * @mbggenerated
     */
    public String getHandle() {
        return handle;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column reason_code_priority.HANDLE
     *
     * @param handle the value for reason_code_priority.HANDLE
     *
     * @mbggenerated
     */
    public void setHandle(String handle) {
        this.handle = handle == null ? null : handle.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column reason_code_priority.REASON_CODE_BO
     *
     * @return the value of reason_code_priority.REASON_CODE_BO
     *
     * @mbggenerated
     */
    public String getReasonCodeBo() {
        return reasonCodeBo;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column reason_code_priority.REASON_CODE_BO
     *
     * @param reasonCodeBo the value for reason_code_priority.REASON_CODE_BO
     *
     * @mbggenerated
     */
    public void setReasonCodeBo(String reasonCodeBo) {
        this.reasonCodeBo = reasonCodeBo == null ? null : reasonCodeBo.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column reason_code_priority.PRIORITY
     *
     * @return the value of reason_code_priority.PRIORITY
     *
     * @mbggenerated
     */
    public String getPriority() {
        return priority;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column reason_code_priority.PRIORITY
     *
     * @param priority the value for reason_code_priority.PRIORITY
     *
     * @mbggenerated
     */
    public void setPriority(String priority) {
        this.priority = priority == null ? null : priority.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column reason_code_priority.SUB_PRIORITY
     *
     * @return the value of reason_code_priority.SUB_PRIORITY
     *
     * @mbggenerated
     */
    public String getSubPriority() {
        return subPriority;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column reason_code_priority.SUB_PRIORITY
     *
     * @param subPriority the value for reason_code_priority.SUB_PRIORITY
     *
     * @mbggenerated
     */
    public void setSubPriority(String subPriority) {
        this.subPriority = subPriority == null ? null : subPriority.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column reason_code_priority.STRT
     *
     * @return the value of reason_code_priority.STRT
     *
     * @mbggenerated
     */
    public String getStrt() {
        return strt;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column reason_code_priority.STRT
     *
     * @param strt the value for reason_code_priority.STRT
     *
     * @mbggenerated
     */
    public void setStrt(String strt) {
        this.strt = strt == null ? null : strt.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column reason_code_priority.START_DATE_TIME
     *
     * @return the value of reason_code_priority.START_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getStartDateTime() {
        return startDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column reason_code_priority.START_DATE_TIME
     *
     * @param startDateTime the value for reason_code_priority.START_DATE_TIME
     *
     * @mbggenerated
     */
    public void setStartDateTime(Date startDateTime) {
        this.startDateTime = startDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column reason_code_priority.END_DATE_TIME
     *
     * @return the value of reason_code_priority.END_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getEndDateTime() {
        return endDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column reason_code_priority.END_DATE_TIME
     *
     * @param endDateTime the value for reason_code_priority.END_DATE_TIME
     *
     * @mbggenerated
     */
    public void setEndDateTime(Date endDateTime) {
        this.endDateTime = endDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column reason_code_priority.USED
     *
     * @return the value of reason_code_priority.USED
     *
     * @mbggenerated
     */
    public String getUsed() {
        return used;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column reason_code_priority.USED
     *
     * @param used the value for reason_code_priority.USED
     *
     * @mbggenerated
     */
    public void setUsed(String used) {
        this.used = used == null ? null : used.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column reason_code_priority.CREATED_DATE_TIME
     *
     * @return the value of reason_code_priority.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getCreatedDateTime() {
        return createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column reason_code_priority.CREATED_DATE_TIME
     *
     * @param createdDateTime the value for reason_code_priority.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public void setCreatedDateTime(Date createdDateTime) {
        this.createdDateTime = createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column reason_code_priority.MODIFIED_DATE_TIME
     *
     * @return the value of reason_code_priority.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getModifiedDateTime() {
        return modifiedDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column reason_code_priority.MODIFIED_DATE_TIME
     *
     * @param modifiedDateTime the value for reason_code_priority.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    public void setModifiedDateTime(Date modifiedDateTime) {
        this.modifiedDateTime = modifiedDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column reason_code_priority.MODIFIED_USER
     *
     * @return the value of reason_code_priority.MODIFIED_USER
     *
     * @mbggenerated
     */
    public String getModifiedUser() {
        return modifiedUser;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column reason_code_priority.MODIFIED_USER
     *
     * @param modifiedUser the value for reason_code_priority.MODIFIED_USER
     *
     * @mbggenerated
     */
    public void setModifiedUser(String modifiedUser) {
        this.modifiedUser = modifiedUser == null ? null : modifiedUser.trim();
    }
}